package github.benjamin.equipreservebackend.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import github.benjamin.equipreservebackend.entity.Reservation;
import github.benjamin.equipreservebackend.vo.ReservationStatsVO;
import org.springframework.stereotype.Repository;

import java.time.LocalDate;
import java.util.List;

@Repository
public interface ReservationMapper extends BaseMapper<Reservation> {
    List<ReservationStatsVO> getReservationStats(LocalDate start, LocalDate end);
}
