package github.benjamin.equipreservebackend.vo;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.Data;

@Data
public class DeviceStatsVO {

    @JsonSerialize(using = ToStringSerializer.class)
    @ExcelIgnore
    private Long deviceId;

    @ColumnWidth(15)
    @ExcelProperty("设备名称")
    private String deviceName;

    @ColumnWidth(15)
    @ExcelProperty("使用次数")
    private Integer usageCount;

    @ColumnWidth(20)
    @ExcelProperty("使用时长(天)")
    private Integer totalUsageDays;

}
