package github.benjamin.equipreservebackend.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.Data;

import java.time.LocalDateTime;

@Data
@TableName("devices")
public class Device {

    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;
    private String name;
    private String usageRequirement;
    private String location;
    private String imagePath;
    private String status;
    private Long teamId;
    private Long deviceAdminId;
    private LocalDateTime createdTime;

}
