package github.benjamin.equipreservebackend.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import github.benjamin.equipreservebackend.entity.Device;
import github.benjamin.equipreservebackend.vo.DeviceStatsVO;
import org.springframework.stereotype.Repository;

import java.time.LocalDate;
import java.util.List;

@Repository
public interface DeviceMapper extends BaseMapper<Device> {
    List<DeviceStatsVO> getDeviceUsageStats(LocalDate start, LocalDate end);
}
