package github.benjamin.equipreservebackend.vo;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.Data;

@Data
public class ReservationStatsVO {

    @JsonSerialize(using = ToStringSerializer.class)
    @ExcelIgnore
    private Long deviceId;

    @ExcelProperty("设备名称")
    @ColumnWidth(15)
    private String deviceName;

    @ExcelProperty("使用人")
    @ColumnWidth(15)
    private String applicantName;

    @ExcelProperty("所属团队")
    @ColumnWidth(15)
    private String applicantTeam;

    @ExcelProperty("使用次数")
    @ColumnWidth(15)
    private Integer usageCount;

}
